## Function template format

boost::log::expressions::format

## Synopsis

    // In header: <boost/log/expressions/formatters/format.hpp>

    template<typename CharT, typename TraitsT, typename AllocatorT>
      phoenix::actor< format_terminal< CharT > >
      format(std::basic_string< CharT, TraitsT, AllocatorT > const & fmt);

## Description

The function generates a terminal node in a template expression. The node will perform log record formatting according to the provided format string.